Cancel a response
POST/v1/responses/{id}/cancel
Cancel an in-progress response. Only responses with status "in_progress" can be cancelled.
Path Parameters
id: string
Returns
Cancel a response
curl https://api.tzafon.ai/v1/responses/$ID/cancel \
-X POST \
-H "Authorization: Bearer $TZAFON_API_KEY"{
"id": "id",
"computer_id": "computer_id",
"created_at": "created_at",
"max_output_tokens": 0,
"model": "model",
"object": "object",
"output": [
{
"id": "id",
"action": {
"button": "button",
"end_x": 0,
"end_y": 0,
"keys": [
"string"
],
"result": "result",
"scroll_x": 0,
"scroll_y": 0,
"status": "status",
"text": "text",
"type": "click",
"url": "url",
"x": 0,
"y": 0
},
"call_id": "call_id",
"content": [
{
"image_url": "image_url",
"text": "text",
"type": "input_text"
}
],
"role": "role",
"status": "status",
"summary": [
{
"image_url": "image_url",
"text": "text",
"type": "input_text"
}
],
"type": "reasoning"
}
],
"status": "status",
"temperature": 0,
"top_p": 0,
"usage": {
"input_tokens": 0,
"output_tokens": 0,
"total_tokens": 0
},
"viewport": {
"environment": "environment",
"height": 0,
"width": 0
}
}Returns Examples
{
"id": "id",
"computer_id": "computer_id",
"created_at": "created_at",
"max_output_tokens": 0,
"model": "model",
"object": "object",
"output": [
{
"id": "id",
"action": {
"button": "button",
"end_x": 0,
"end_y": 0,
"keys": [
"string"
],
"result": "result",
"scroll_x": 0,
"scroll_y": 0,
"status": "status",
"text": "text",
"type": "click",
"url": "url",
"x": 0,
"y": 0
},
"call_id": "call_id",
"content": [
{
"image_url": "image_url",
"text": "text",
"type": "input_text"
}
],
"role": "role",
"status": "status",
"summary": [
{
"image_url": "image_url",
"text": "text",
"type": "input_text"
}
],
"type": "reasoning"
}
],
"status": "status",
"temperature": 0,
"top_p": 0,
"usage": {
"input_tokens": 0,
"output_tokens": 0,
"total_tokens": 0
},
"viewport": {
"environment": "environment",
"height": 0,
"width": 0
}
}